Skip to main content
GET
Get a specific material utilization config version

Authorizations

Authorization
string
header
required

OAuth 2.0 client credentials. Exchange your client_id and client_secret for an access token scoped to the organisation that provides data access.

Headers

Cula-Organisation-Id
string
required

ID of the organisation the request operates on behalf of (e.g. org_...). Must be an organisation the API client has access to.

Example:

"org_01k83mfmhgchya944v86ryvhpq"

Path Parameters

version_id
string
required
Example:

"mutcv_01kbr6p08518pexf6rs9segz8j"

id
string
required
Example:

"mutc_01k16bap2kcz0asd2h2dkzz1xj"

Response

id
string
required

The ID of the config version.

Example:

"mutcv_01kbr6p08518pexf6rs9segz8j"

config_id
string
required

The ID of the config this version belongs to.

Example:

"mutc_01k16bap2kcz0asd2h2dkzz1xj"

name
string
required

Human-readable name of the config version.

Example:

"Soil Application"

published_at
string<date-time>
required

When this version was published.

Example:

"2026-01-15T08:00:00Z"

unified
boolean
required

Whether the utilization and its input containers are configured as one unified flow. When true, data_point_configs spans the whole flow (utilization step and input containers) and creates take one flat data_points array. When false, input_configs lists the container configs to describe input containers against.

Example:

true

data_point_configs
object[]
required

Data points that can be set on utilizations created from this config. For unified configs this spans the whole flow, including the input containers' data points.

input_configs
object[]

Only present when unified is false: the container configs new input containers are described against (via input_containers on create).